// Copyright 2002-2012, University of Colorado
/**
 * A shape that absorbs light as the light passes through it.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Shape = require( 'java.awt.Shape' );
  var Property = require( 'AXON/Property' );

  function LightAbsorbingShape( shape, initialLightAbsorptionCoefficient ) {
    this.shape;
    this.lightAbsorptionCoefficient;
    this.shape = shape;
    lightAbsorptionCoefficient = new Property( initialLightAbsorptionCoefficient );
  }

  return inherit( Object, LightAbsorbingShape, {
  } );
} );

