// Copyright 2002-2012, University of Colorado
/**
 * Interface for a model that provides temperature information at 2D locations
 * within the model space.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Vector2 = require( 'DOT/Vector2' );
  var TemperatureAndColor = require( 'ENERGY_FORMS_AND_CHANGES/energy-forms-and-changes/intro/model/TemperatureAndColor' );


  return inherit( Object, ITemperatureModel, {
    getTemperatureAndColorAtLocation: function( location ) {}
  } );
} );

