// Copyright 2002-2012, University of Colorado
/**
 * Convenience class that combines values for temperature and color.  Used
 * primarily by the thermometer to obtain information from the model.
 *
 * @author John Blanco
 */
define( function( require ) {
  'use strict';

  // modules
  var inherit = require( 'PHET_CORE/inherit' );
  var Color = require( 'SCENERY/util/Color' );

  function TemperatureAndColor( temperature, color ) {
    this.temperature;
    this.color;
    this.temperature = temperature;
    this.color = color;
  }

  return inherit( Object, TemperatureAndColor, {
  } );
} );

